Skip to main content
Memory Stores

Get an update result

GET
/memory_stores/{name}/updates/{update_id}

Retrieves the status and result of a memory store update operation.

Path Parameters
namestringrequired
The name of the memory store.
update_idstringrequired
The ID of the memory update operation.
Query Parameters
api-versionstringrequired
The API version to use for this operation.
Header Parameters
Foundry-Featuresstringrequired
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
MemoryStores=V1Preview
Responses
update_idstringrequired
The unique ID of this update request. Use this value as previous_update_id in subsequent requests to perform incremental updates.
statusenumrequired
The status of the memory update operation. One of "queued", "in_progress", "completed", "failed", or "superseded".
queuedin_progresscompletedfailedsuperseded
superseded_bystring
The update_id the operation was superseded by when status is "superseded".
resultMemoryStoreUpdateCompletedResult
The result of memory store update operation when status is "completed".
memory_operationsMemoryOperation[]required
A list of individual memory operations that were performed during the update.
usageMemoryStoreOperationUsagerequired
Usage statistics associated with the memory update operation.
errorOpenAI.Error
Error object that describes the error when status is "failed".
codestring | nullrequired
messagestringrequired
paramstring | null
typestring
detailsOpenAI.Error[]
additionalInfoobject
debugInfoobject